Bug 181610 - IO stat for CCISS on 2.6.15.*
IO stat for CCISS on 2.6.15.*
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 07:47 EST by Alexander Shaburov
Modified: 2012-06-20 12:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Shaburov 2006-02-15 07:47:18 EST
Description of problem:
iostat, sar, dstat don't view r/w Kb statistic for CCISS driver.

Version-Release number of selected component (if applicable):
RHEL4u2

How reproducible:

Steps to Reproduce:
1. build new kernel linux-2.6.15.*
2. left original sysstat or install sysstat-6.0.2-1.i586.rpm
2. reboot
3.
  
Actual results:
cciss/c0d1p1 = /u03
======================

# time dd if=/dev/zero of=/u03/test20 bs=20M count=1000 
&                        
[1] 4137

# dstatd 10
----total-cpu-usage---- --disk/sda--disk/cciss/-disk/cciss/-disk/cciss/ ---
paging-- -net/total-
usr sys idl wai hiq siq|_read write:_read write:_read write:_read write|__in_ 
_out_|_recv _send
  0   1  98   1   0   0| 872B   10B:   0     0 :   0     0 :   0     0 |   
0     0 |   0     0 
  0  11  73  15   0   0|   0     0 :   0     0 :   0     0 :   0     0 |   
0     0 | 138B  397B
  0  12  65  23   0   0|   0     0 :   0     0 :   0     0 :   0     0 |   
0     0 | 192B  362B

# iostat -x
Linux 2.6.15.4   02/15/2006

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           0.40    0.00    0.98    1.51    0.00   97.10

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d0   3.43   7.17 10.98  6.24    0.00    0.00     0.00     0.00     
0.00     0.35   20.09   3.47   5.97
cciss/c0d1   2.06 434.25  1.67 15.97    0.00    0.00     0.00     0.00     
0.00     4.88  273.89   2.49   4.39
cciss/c0d2   2.06   0.00  0.26  0.00    0.00    0.00     0.00     0.00     
0.00     0.00    1.05   0.19   0.00
sda          0.58   0.00  0.15  0.00    1.65    0.02     0.83     0.01    
10.89     0.00    1.61   1.45   0.02


Expected results:
Linux 2.6.14.7     02/15/2006

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           0.30    0.00    5.11   32.15    0.00   62.44

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d0   1.97   4.93  8.82  4.25  506.31   73.43   253.16    36.72    
44.37     0.34   26.21   2.57   3.35
cciss/c0d1   1.60 6839.10  7.88 241.93   63.66 56650.95    31.83 28325.47   
227.04    87.31  349.24   2.46  61.45
cciss/c0d2   7.35   0.00  0.43  0.00   14.40    0.03     7.20     0.01    
33.02     0.00    4.38   0.35   0.02
sda          0.37   0.00  0.11  0.00    1.12    0.01     0.56     0.01    
10.63     0.00    2.15   1.96   0.02

Additional info:
reproduced only on 2.6.15.*
Comment 1 Jason Baron 2006-02-15 11:11:00 EST
hmmm. We don't support upstream kernels under rhel4. Does the rhel4 u2 kernel
work properly?
Comment 2 Alexander Shaburov 2006-02-15 14:58:30 EST
We have one problem on original kernel:
Sometimes when I copy any files I see speed about 30Mb/s, then I sometimes see 
like that:
read        write 
0            30M
0            30M
300kb         0
200kb         0
300kb         0
200kb         0
300kb         0
200kb         0
300kb         0
200kb         0
0            50M 
0             0
0             0
0            2M
0             0
....5-6 times....
0             0
0             0
0             2M
0             0
....
rest a huge 2M portion per 6-7 sec to the end of any size of coping file.
It is like exists low speed places on drive.
I test it on 2 different servers, different raid drives, different stripe sizes.
When I copy 200Gb file I want to spend 2 hour for it. But I need control that 
process. When spped down. Kill process. Rename target file to deed_speed name. 
The retry copy. It is bad trick work. Next copy may be succesful. :(

When I change kernel to 2.6.11...15, format drive, then bag removed.
Can you diagnose it?
Comment 3 Jason Baron 2006-02-15 15:11:45 EST
hmmm. Can you please try the U3 beta kernel: http://people.redhat.com/~jbaron/rhel4/
Comment 4 Alexander Shaburov 2006-02-15 15:19:36 EST
ok. I do
but need to cut that bug on coping and spend any times for it. Bag is low 
repeatable. Wait a day may be :)
Comment 6 Alexander Shaburov 2006-02-17 17:29:49 EST
it has been  planed at March, 1
sorry for delay. But all of systems in work.
Comment 7 Alexander Shaburov 2006-03-06 07:29:18 EST
I can test it. How to good way to install new kernel? Please, give me short 
instructon.
Comment 8 Tom Coughlan 2006-03-06 08:19:08 EST
Get the proper kernel rpm from:

http://people.redhat.com/~jbaron/rhel4/RPMS.kernel/

Then

rpm -ihv kernel-<version><arch><type>.rpm 

Then check /etc/grub.conf and make sure "default=" points to the new kernel.
Then reboot.
Comment 9 Alexander Shaburov 2006-03-07 07:13:02 EST
I do it.
See result for dd 3,5Gb file on 28 kernel, then 22 kernel release.

========================================================================
kernel 28
========================================================================

# time dd if=/dev/zero of=/u03/app/oracle/oradata/backup/i500m03.dbf.rar$(date 
+%d%m%y%H%M%S) bs=1M count=3500
3500+0 records in
3500+0 records out

real    1m58.554s
user    0m0.020s
sys     0m33.707s


root@grand:/root
# dstat -c -d -D cciss/c0d1 -m -g
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0   1  83  15   0   0|  27k 5260k| 142M   30M   51M 7643M|   0     0 
  0   0 100   0   0   0|   0     0 | 142M   30M   51M 7643M|   0     0 
  0   0 100   0   0   0|   0     0 | 142M   30M   51M 7643M|   0     0 
  0   0 100   0   0   0|   0     0 | 142M   30M   51M 7643M|   0     0 
  0   0 100   0   0   0|   0     0 | 142M   30M   51M 7643M|   0     0 
  0   0 100   0   0   0|   0     0 | 142M   30M   51M 7643M|   0     0 
  0   7  93   0   0   0|   0     0 | 150M   30M  118M 7569M|   0     0 
  0  13  88   0   0   0|   0     0 | 151M   30M  243M 7443M|   0     0 
  0  12  87   0   0   0|   0     0 | 154M   30M  369M 7314M|   0     0 
  0  14  76  10   0   0|   0    32M| 157M   30M  491M 7188M|   0     0 
  0  13  75  12   0   0|   0   616k| 160M   30M  618M 7058M|   0     0 
  0   7  68  25   0   0|   0    81M| 166M   30M  673M 6997M|   0     0 
  0  11  73  16   0   0|   0   256k| 169M   30M  782M 6885M|   0     0 
  0  12  75  12   0   0|   0   392k| 172M   30M  907M 6757M|   0     0 
  0  12  75  12   0   0|   0   256k| 175M   30M 1032M 6629M|   0     0 
  0  12  75  12   0   0|   0   264k| 179M   30M 1156M 6501M|   0     0 
  0  13  75  12   0   0|   0   640k| 182M   30M 1281M 6373M|   0     0 
  0  13  75  12   0   0|   0   640k| 185M   30M 1405M 6245M|   0     0 
  0   7  75  18   0   0|   0   900k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   680k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   660k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   128k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   672k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   660k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   564k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   676k| 187M   31M 1477M 6171M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   696k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   684k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   644k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   708k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   692k| 187M   31M 1481M 6167M|   0     0 
  0   0  75  25   0   0|   0   676k| 187M   31M 1481M 6167M|   0     0 
  0   0  72  28   0   0|   0   676k| 187M   31M 1481M 6167M|   0     0 
  0   0  62  38   0   0|   0   128k| 187M   31M 1481M 6167M|   0     0 
  0   0  66  34   0   0|   0   684k| 187M   31M 1481M 6167M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0   0  64  36   0   0|   0   696k| 187M   31M 1481M 6167M|   0     0 
  0   1  63  37   0   0|   0   532k| 187M   31M 1486M 6163M|   0     0 
  0   0  62  37   0   0|   0   676k| 187M   31M 1486M 6163M|   0     0 
  0   0  62  37   0   0|   0   692k| 187M   31M 1486M 6163M|   0     0 
  1   0  62  38   0   0|   0   660k| 187M   31M 1486M 6162M|   0     0 
  0   0  62  37   0   0|   0   692k| 187M   31M 1486M 6162M|   0     0 
  0   0  59  41   0   0|   0   672k| 187M   31M 1486M 6162M|   0     0 
  0   0  50  50   0   0|   0   660k| 187M   31M 1486M 6162M|   0     0 
  0   0  50  50   0   0|   0   692k| 187M   31M 1486M 6162M|   0     0 
  0   0  61  39   0   0|   0   676k| 187M   31M 1486M 6162M|   0     0 
  0   0  62  37   0   0|   0   692k| 187M   31M 1486M 6162M|   0     0 
  0   0  62  37   0   0|   0   644k| 187M   31M 1486M 6162M|   0     0 
  0   1  54  45   0   0|   0   696k| 188M   31M 1494M 6154M|   0     0 
  0   0  50  50   0   0|   0   664k| 188M   31M 1494M 6154M|   0     0 
  1   0  61  38   0   0|   0   128k| 188M   31M 1494M 6153M|   0     0 
  0   0  62  37   0   0|   0   676k| 188M   31M 1494M 6153M|   0     0 
  0   0  60  40   0   0|   0   532k| 188M   31M 1494M 6153M|   0     0 
  0   0  41  59   0   0|   0   660k| 188M   31M 1494M 6153M|   0     0 
  0   0  48  52   0   0|   0   692k| 188M   31M 1494M 6153M|   0     0 
  2   1  54  43   0   0|   0  3572k| 189M   31M 1494M 6153M|   0     0 
  1   1  73  25   0   0|   0  3544k| 189M   31M 1498M 6148M|   0     0 
  0   0  75  25   0   0|   0  3092k| 189M   31M 1498M 6148M|   0     0 
  0   1  75  24   0   0|   0  3668k| 189M   31M 1506M 6140M|   0     0 
  0   0  75  25   0   0|   0  4292k| 189M   31M 1506M 6140M|   0     0 
  0   1  75  24   0   0|   0  3784k| 189M   31M 1510M 6136M|   0     0 
  0   0  75  24   0   0|   0  3644k| 189M   31M 1510M 6136M|   0     0 
  0   1  75  24   0   0|   0  3496k| 190M   31M 1518M 6128M|   0     0 
  0   0  75  25   0   0|   0  3628k| 190M   31M 1518M 6128M|   0     0 
  0   1  75  24   0   0|   0  3216k| 190M   31M 1522M 6124M|   0     0 
  0   0  75  25   0   0|   0  3592k| 190M   31M 1522M 6124M|   0     0 
  0   1  75  24   0   0|   0  2896k| 190M   31M 1530M 6116M|   0     0 
  0   0  75  25   0   0|   0  2984k| 190M   31M 1530M 6116M|   0     0 
  0   0  75  25   0   0|   0  2808k| 190M   31M 1530M 6116M|   0     0 
  0   1  75  24   0   0|   0  2672k| 190M   31M 1535M 6110M|   0     0 
  0   0  84  15   0   0|   0  2180k| 191M   31M 1535M 6110M|   0     0 
  0   0  82  17   0   0|   0  2700k| 191M   31M 1535M 6110M|   0     0 
  0   3  75  21   0   0|   0    52M| 192M   31M 1555M 6088M|   0     0 
  0   1  75  23   0   0|4096B   12M| 192M   31M 1566M 6078M|   0     0 
  0   5  75  20   0   0|   0    50M| 194M   31M 1603M 6038M|   0     0 
  0   6  75  18   1   0|   0    40M| 195M   31M 1656M 5985M|   0     0 
  0   4  75  21   1   0|4096B   40M| 195M   31M 1683M 5957M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0   5  75  19   0   0|   0    44M| 197M   31M 1727M 5912M|   0     0 
  0   7  75  18   1   0|   0    50M| 198M   31M 1781M 5856M|   0     0 
  0   4  75  21   0   0|4096B   32M| 199M   31M 1808M 5828M|   0     0 
  0   5  72  22   0   0|   0    49M| 200M   31M 1847M 5787M|   0     0 
  0   2  63  34   0   0|   0    55M| 201M   31M 1862M 5772M|   0     0 
  0   0  58  42   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  63  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  63  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  62  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  62  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  63  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   0  63  37   0   0|   0     0 | 200M   31M 1862M 5773M|   0     0 
  0   8  64  27   0   0|4096B    0 | 199M   31M 1934M 5702M|   0     0 
  0   0  62  37   0   0|   0     0 | 198M   31M 1934M 5702M|   0     0 
  0   4  63  33   0   0|   0   108M| 202M   31M 1951M 5682M|   0     0 
  0  12  62  25   0   0|   0   521M| 221M   31M 1954M 5660M|   0     0 
  0  12  63  25   1   0|   0    80M| 224M   31M 2049M 5563M|   0     0 
  0   1  63  35   1   0|4096B    0 | 220M   31M 2060M 5555M|   0     0 
  0   0  62  36   1   0|   0     0 | 216M   31M 2060M 5558M|   0     0 
  0   0  62  37   0   0|   0     0 | 214M   31M 2060M 5561M|   0     0 
  0   0  63  36   1   0|   0     0 | 210M   31M 2060M 5565M|   0     0 
  0   0  63  37   1   0|   0     0 | 206M   31M 2060M 5569M|   0     0 
  0   0  62  36   1   0|   0     0 | 202M   31M 2061M 5572M|   0     0 
  0  12  63  25   0   0|   0     0 | 204M   31M 2182M 5449M|   0     0 
  0   0  62  37   0   0|4096B    0 | 204M   31M 2186M 5445M|   0     0 
  0   3  62  35   0   0|   0     0 | 204M   31M 2211M 5420M|   0     0 
  0  13  60  27   0   0|4096B   27M| 206M   32M 2322M 5306M|   0     0 
  0  26  56  18   0   0|   0   681M| 212M   32M 2396M 5226M|   0     0 
  0  13  50  37   1   0|4096B  256M| 219M   32M 2465M 5151M|   0     0 
  0  10  50  39   0   0|4096B    0 | 219M   32M 2563M 5052M|   0     0 
  0  11  50  38   1   0|   0     0 | 218M   32M 2671M 4945M|   0     0 
  0   8  50  41   1   0|4096B    0 | 217M   32M 2739M 4879M|   0     0 
  0   9  50  40   1   0|4096B    0 | 214M   32M 2815M 4805M|   0     0 
  0   9  50  40   1   0|   0     0 | 212M   32M 2892M 4730M|   0     0 
  0   9  50  41   1   0|4096B    0 | 210M   32M 2964M 4660M|   0     0 
  0  12  50  37   1   0|4096B    0 | 209M   32M 3062M 4563M|   0     0 
  0   9  52  39   0   0|   0     0 | 206M   32M 3127M 4501M|   0     0 
  0  22  65  12   0   0|4096B  798M| 226M   32M 3188M 4419M|   0     0 
  0   8  68  23   1   0|   0   132k| 224M   33M 3248M 4361M|   0     0 
  0   8  64  28   1   0|4096B    0 | 223M   33M 3310M 4300M|   0     0 
  0  11  75  13   1   0|   0     0 | 222M   33M 3404M 4208M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0   7  75  17   1   0|4096B    0 | 221M   33M 3464M 4149M|   0     0 
  0  11  66  22   1   0|   0     0 | 221M   33M 3550M 4063M|   0     0 
  0   0  74  25   1   0|   0     0 | 217M   33M 3550M 4067M|   0     0 
  0   0  58  41   1   0|   0     0 | 213M   33M 3550M 4070M|   0     0 
  0   2  76  23   0   0|   0  2236k| 207M   33M 3550M 4076M|   0     0 
  0   2  85  14   0   0|   0  2312k| 204M   33M 3550M 4080M|   0     0 
  0   5  83  12   0   0|   0   389M| 212M   33M 3550M 4071M|   0     0 
  0   1  75  24   0   0|   0    27M| 213M   33M 3550M 4071M|   0     0 
  0   0  75  24   1   0|   0     0 | 209M   33M 3550M 4074M|   0     0 
  0   0  75  24   1   0|   0     0 | 205M   33M 3550M 4079M|   0     0 
  0   0  75  24   1   0|   0     0 | 202M   33M 3550M 4082M|   0     0 
  0   2  78  20   0   0|   0  1572k| 193M   33M 3550M 4091M|   0     0 
  0   0  88  12   0   0|   0  1120k| 193M   33M 3550M 4091M|   0     0 
  0   0  87  12   0   0|   0  1404k| 193M   33M 3550M 4091M|   0     0 
  0   0  88  13   0   0|   0  1176k| 193M   33M 3550M 4091M|   0     0 
  0   0  95   5   0   0|   0  1096k| 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 
  0   0 100   0   0   0|   0     0 | 193M   33M 3550M 4091M|   0     0 

======================================================================

kernel 22
======================================================================
# time dd if=/dev/zero of=/u03/app/oracle/oradata/backup/i500m03.dbf.rar$(date 
+%d%m%y%H%M%S) bs=1M count=3500
3500+0 records in
3500+0 records out

time more than 30 min

  0   0 100   0   0   0|   0     0 |  47M   28M   50M 7741M|   0     0 
  0   0 100   0   0   0|   0     0 |  47M   28M   50M 7741M|   0     0 
  0   0 100   0   0   0|   0     0 |  47M   28M   50M 7741M|   0     0 
  0   0 100   0   0   0|   0     0 |  47M   28M   50M 7741M|   0     0 
  0   1  99   0   0   0|   0     0 |  48M   28M   59M 7731M|   0     0 
  0   5  88   7   0   0| 400k    0 |  56M   28M  108M 7674M|   0     0 
  0   0  87  12   0   0| 724k    0 |  57M   29M  108M 7673M|   0     0 
  0   0  88  12   0   0| 692k    0 |  57M   29M  108M 7671M|   0     0 
  0   7  88   6   0   0| 284k    0 |  58M   30M  109M 7670M|   0     0 
  0  13  87   0   0   0|   0    61M|  60M   30M  111M 7665M|   0     0 
  0  12  75  12   0   0|   0     0 |  59M   30M  113M 7665M|   0     0 
  0  13  64  23   0   0|   0     0 |  59M   30M  115M 7663M|   0     0 
  0  13  73  15   0   0|   0     0 |  58M   30M  117M 7662M|   0     0 
  0  13  81   6   0   0|8192B 6784k|  52M   30M  118M 7666M|   0     0 
  0  13  86   1   0   0|   0  9268k|  52M   30M  120M 7665M|   0     0 
  0  12  84   3   0   0|   0    36k|  51M   30M  122M 7663M|   0     0 
  0  13  88   0   0   0|   0     0 |  52M   30M  124M 7661M|   0     0 
  0  12  87   0   0   0|   0     0 |  51M   30M  126M 7659M|   0     0 
  0  13  87   0   0   0|   0     0 |  51M   30M  127M 7658M|   0     0 
  0  13  87   1   0   0|   0  9404k|  52M   30M  129M 7656M|   0     0 
  0  12  86   2   0   0|   0    36k|  52M   30M  131M 7654M|   0     0 
  0  12  88   0   0   0|   0     0 |  51M   30M  133M 7652M|   0     0 
  0  13  88   0   0   0|   0     0 |  51M   30M  135M 7650M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0  13  88   0   0   0|   0     0 |  52M   30M  137M 7648M|   0     0 
  0  13  86   1   0   0|   0  9396k|  52M   30M  138M 7646M|   0     0 
  0  13  86   2   0   0|   0    40k|  52M   30M  140M 7644M|   0     0 
  0  13  88   0   0   0|   0     0 |  52M   30M  142M 7643M|   0     0 
  0  12  87   0   0   0|   0     0 |  52M   30M  144M 7641M|   0     0 
  0  12  88   0   0   0|   0     0 |  52M   30M  146M 7639M|   0     0 
  0  13  86   1   0   0|   0  9372k|  52M   30M  148M 7637M|   0     0 
  0  12  75  12   0   0|   0     0 |  52M   30M  149M 7635M|   0     0 
  0  13  75  12   0   0|   0     0 |  52M   30M  151M 7633M|   0     0 
  0  13  75  12   0   0|   0     0 |  52M   30M  153M 7631M|   0     0 
  0  12  75  12   0   0|   0     0 |  52M   30M  155M 7629M|   0     0 
  0  12  75  12   0   0|   0     0 |  52M   30M  157M 7628M|   0     0 
  0  13  75  13   0   0|   0     0 |  52M   30M  159M 7626M|   0     0 
  0  13  75  12   0   0|   0    12M|  53M   30M  160M 7623M|   0     0 
  0  13  75  12   0   0|   0     0 |  52M   30M  162M 7622M|   0     0 
  0  12  75  12   0   0|   0     0 |  52M   30M  164M 7620M|   0     0 
  0  13  75  13   0   0|   0     0 |  53M   30M  166M 7618M|   0     0 
  0  12  75  12   0   0|   0     0 |  53M   30M  168M 7616M|   0     0 
  0  12  75  12   0   0|   0     0 |  53M   30M  170M 7614M|   0     0 
  0  13  75  12   0   0|   0     0 |  53M   30M  172M 7612M|   0     0 
  0  12  75  12   0   0|   0     0 |  53M   30M  173M 7610M|   0     0 
  0  12  75  13   0   0|   0     0 |  53M   30M  175M 7608M|   0     0 
  0  12  75  12   0   0|   0     0 |  53M   30M  177M 7606M|   0     0 
  0  13  75  13   0   0|   0     0 |  53M   30M  179M 7605M|   0     0 
  0  13  75  13   0   0|   0     0 |  53M   30M  181M 7603M|   0     0 
  0  13  75  12   0   0|   0     0 |  53M   30M  183M 7601M|   0     0 
  0  13  75  13   0   0|   0     0 |  53M   30M  184M 7599M|   0     0 
  0  13  75  13   0   0|   0     0 |  53M   30M  186M 7597M|   0     0 
  0  15  66  20   0   0|   0    27M|  55M   30M  188M 7593M|   0     0 
  0  12  62  25   0   0|   0     0 |  55M   30M  190M 7592M|   0     0 
  0  12  62  25   0   0|   0     0 |  55M   30M  192M 7590M|   0     0 
  0  13  62  25   0   0|   0     0 |  55M   30M  194M 7588M|   0     0 
  0  12  62  25   0   0|   0     0 |  55M   30M  196M 7586M|   0     0 
  0  13  63  25   0   0|   0     0 |  55M   30M  197M 7584M|   0     0 
  0  12  62  25   0   0|   0     0 |  55M   30M  199M 7582M|   0     0 
  0  13  63  25   0   0|   0     0 |  55M   30M  201M 7580M|   0     0 
  0  13  62  25   0   0|   0     0 |  55M   30M  203M 7578M|   0     0 
  0  13  63  25   0   0|   0     0 |  55M   30M  205M 7577M|   0     0 
  0  13  63  25   0   0|   0     0 |  55M   30M  207M 7575M|   0     0 
  0  12  62  25   0   0|   0     0 |  55M   30M  209M 7573M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  211M 7571M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0  12  62  25   0   0|   0     0 |  55M   30M  212M 7569M|   0     0 
  0  12  63  25   0   0|   0     0 |  55M   30M  214M 7568M|   0     0 
  0  12  62  25   0   0|   0     0 |  54M   30M  216M 7566M|   0     0 
  0  12  63  25   0   0|   0     0 |  54M   30M  218M 7564M|   0     0 
  0  13  62  25   0   0|   0     0 |  54M   30M  220M 7562M|   0     0 
  0  12  62  25   0   0|   0     0 |  54M   30M  222M 7560M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  224M 7558M|   0     0 
  0  12  62  25   0   0|   0     0 |  54M   30M  225M 7557M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  227M 7555M|   0     0 
  0  12  62  25   0   0|   0     0 |  54M   30M  229M 7553M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  231M 7551M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  233M 7549M|   0     0 
  0  13  62  25   0   0|   0     0 |  54M   30M  235M 7547M|   0     0 
  0  12  63  25   0   0|   0     0 |  54M   30M  236M 7546M|   0     0 
  0  12  62  25   0   0|   0     0 |  54M   30M  238M 7544M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  240M 7542M|   0     0 
  0  13  63  25   0   0|   0     0 |  54M   30M  242M 7540M|   0     0 
  0  13  63  23   0   0|   0     0 |  54M   30M  244M 7538M|   0     0 
  0  15  75  10   0   0|   0    32M|  57M   30M  246M 7533M|   0     0 
  0  12  75  12   0   0|   0   640k|  57M   30M  248M 7531M|   0     0 
  0  13  75  13   0   0|   0   640k|  57M   30M  249M 7530M|   0     0 
  0  12  75  12   0   0|   0   640k|  57M   30M  251M 7528M|   0     0 
  0  13  75  13   0   0|   0   896k|  57M   30M  253M 7526M|   0     0 
  0  12  75  12   0   0|   0   768k|  58M   30M  255M 7524M|   0     0 
  0  13  75  12   0   0|   0   768k|  57M   30M  257M 7522M|   0     0 
  0  13  75  12   0   0|   0   896k|  58M   30M  259M 7520M|   0     0 
  0  12  75  12   0   0|   0   768k|  58M   30M  261M 7518M|   0     0 
  0  13  75  13   0   0|   0  1164k|  57M   30M  263M 7516M|   0     0 
  0  13  75  12   0   0|   0  1024k|  58M   30M  264M 7514M|   0     0 
  0  12  75  12   0   0|   0  1024k|  58M   30M  266M 7512M|   0     0 
  0  13  75  13   0   0|   0   772k|  58M   30M  268M 7510M|   0     0 
  0  13  75  12   0   0|   0    17M|  58M   30M  270M 7509M|   0     0 
  0  12  75  12   0   0|   0     0 |  58M   30M  272M 7507M|   0     0 
  0  13  75  13   0   0|   0     0 |  58M   30M  273M 7505M|   0     0 
  0  12  75  13   0   0|   0     0 |  58M   30M  276M 7503M|   0     0 
  0  12  75  12   0   0|   0     0 |  58M   30M  277M 7501M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  279M 7499M|   0     0 
  0  13  75  13   0   0|   0     0 |  58M   30M  281M 7498M|   0     0 
  0  13  75  13   0   0|   0     0 |  58M   30M  283M 7496M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  285M 7494M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  287M 7492M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0  13  75  12   0   0|   0     0 |  58M   30M  288M 7490M|   0     0 
  0  12  75  12   0   0|   0     0 |  58M   30M  290M 7488M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  292M 7487M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  294M 7485M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  296M 7483M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  298M 7481M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  300M 7479M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  301M 7478M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  303M 7476M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  305M 7474M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  307M 7472M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  309M 7470M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  311M 7468M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  313M 7466M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  314M 7464M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  316M 7463M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  318M 7461M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  320M 7459M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  322M 7457M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  324M 7455M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  326M 7453M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  328M 7451M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  329M 7450M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  331M 7448M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  333M 7446M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  335M 7444M|   0     0 
  0  13  75  12   0   0|   0     0 |  57M   30M  337M 7442M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  339M 7440M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  341M 7438M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  342M 7437M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  344M 7435M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  346M 7433M|   0     0 
  0  13  75  13   0   0|   0     0 |  57M   30M  348M 7431M|   0     0 
  0  12  75  12   0   0|   0     0 |  57M   30M  350M 7429M|   0     0 
  0  14  75  10   0   0|   0    19M|  57M   30M  352M 7427M|   0     0 
  0  14  75  11   0   0|   0    88M|  59M   30M  354M 7424M|   0     0 
  0  12  75  12   0   0|   0     0 |  58M   30M  355M 7423M|   0     0 
  0  15  74  11   0   0|   0  5520k|  56M   30M  357M 7423M|   0     0 
  0  13  75  12   0   0|   0  1816k|  56M   30M  359M 7421M|   0     0 
  0  13  75  13   0   0|   0  2016k|  56M   30M  361M 7419M|   0     0 
  0  13  75  12   0   0|   0  2276k|  55M   30M  363M 7418M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0  13  71  16   0   0|   0  2060k|  55M   30M  365M 7416M|   0     0 
  0  13  75  12   0   0|   0  2408k|  55M   30M  367M 7414M|   0     0 
  0  13  75  12   0   0|   0  2596k|  55M   30M  368M 7412M|   0     0 
  0  13  75  12   0   0|   0  2640k|  55M   30M  370M 7411M|   0     0 
  0  13  67  20   0   0|   0  2812k|  56M   30M  372M 7408M|   0     0 
  0  13  75  12   0   0|   0  2844k|  56M   30M  374M 7406M|   0     0 
  0  12  70  17   0   0|   0  2680k|  56M   30M  376M 7405M|   0     0 
  0  13  75  12   0   0|   0  2804k|  56M   30M  378M 7403M|   0     0 
  0  12  79   9   0   0|   0  1864k|  56M   30M  379M 7401M|   0     0 
  0  13  87   0   0   0|   0  1936k|  56M   30M  381M 7399M|   0     0 
  0  12  87   0   0   0|   0     0 |  55M   30M  383M 7397M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  385M 7395M|   0     0 
  0  12  88   0   0   0|   0     0 |  55M   30M  387M 7394M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  389M 7392M|   0     0 
  0  13  87   0   0   0|   0  9600k|  56M   30M  391M 7390M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  393M 7388M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  394M 7386M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  396M 7384M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  398M 7382M|   0     0 
  0  13  86   1   0   0|   0  9560k|  56M   30M  400M 7380M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  402M 7378M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  404M 7377M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  406M 7375M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  407M 7373M|   0     0 
  0  13  87   0   0   0|   0  9544k|  56M   30M  409M 7371M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  411M 7369M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  413M 7367M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  415M 7365M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  417M 7363M|   0     0 
  0  13  87   0   0   0|   0  9560k|  56M   30M  418M 7361M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  421M 7360M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  422M 7358M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  424M 7356M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  426M 7354M|   0     0 
  0  13  87   0   0   0|   0  9576k|  56M   30M  428M 7352M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  430M 7350M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  432M 7348M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  433M 7346M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  435M 7344M|   0     0 
  0  13  87   0   0   0|   0  9612k|  56M   30M  437M 7343M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  439M 7341M|   0     0 
----total-cpu-usage---- disk/cciss/ ------memory-usage----- ---paging--
usr sys idl wai hiq siq|_read write|_used _buff _cach _free|__in_ _out_
  0  12  87   0   0   0|   0     0 |  56M   30M  441M 7339M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  443M 7337M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  445M 7335M|   0     0 
  0  13  87   0   0   0|   0  9464k|  56M   30M  446M 7333M|   0     0 
  0  13  87   0   0   0|   0     0 |  56M   30M  448M 7331M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  450M 7330M|   0     0 
  0  13  88   0   0   0|   0     0 |  56M   30M  452M 7328M|   0     0 
  0  12  87   0   0   0|   0     0 |  56M   30M  454M 7326M|   0     0 
  0  13  87   0   0   0|   0  9516k|  57M   30M  455M 7324M|   0     0 
  0  12  88   0   0   0|   0     0 |  56M   30M  458M 7322M|   0     0 
  0  12  87   0   0   0|   0     0 |  57M   30M  459M 7320M|   0     0 
  0  12  88   0   0   0|   0     0 |  57M   30M  461M 7318M|   0     0 
  0  13  87   0   0   0|   0     0 |  57M   30M  463M 7316M|   0     0 
  0  13  87   0   0   0|   0  9556k|  57M   30M  465M 7314M|   0     0 
  0  12  87   0   0   0|   0     0 |  57M   30M  467M 7312M|   0     0 
  0  12  88   0   0   0|   0     0 |  57M   30M  469M 7311M|   0     0 
  0  12  88   0   0   0|   0     0 |  57M   30M  470M 7309M|   0     0 
  0  13  87   0   0   0|   0     0 |  57M   30M  472M 7307M|   0     0

...... the same to end of dd file

pause on size
# ls -la /u03/app/oracle/oradata/backup/i500m03.dbf.rar*
-rw-r--r--  1 oracle oinstall 215670063104 Mar  7 
14:14 /u03/app/oracle/oradata/backup/i500m03.dbf.rar070306131734

at this time
# iostat -x 5 cciss/c0d1
Linux 2.6.9-22.ELsmp (grand.cyberplat.com)      03/07/2006

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.26    0.00    9.15    4.47   86.11

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1  47.47 290.72  8.07 82.59  116.94 2986.44    58.47  1493.22    
34.23   807.37 8905.72   3.14  28.47

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.00    0.00   12.60    0.07   87.33

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1   0.00 460.40  0.00 21.00    0.00 3851.20     0.00  1925.60   
183.39     0.34   16.36   0.44   0.92

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.02    0.00   12.57    0.07   87.33

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1   0.00 459.00  0.00 21.00    0.00 3840.00     0.00  1920.00   
182.86     0.34   16.37   0.43   0.90

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.00    0.00   12.60    0.07   87.33

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1   0.00 460.20  0.00 21.00    0.00 3849.60     0.00  1924.80   
183.31     0.34   16.32   0.44   0.92

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.00    0.00   12.58    0.08   87.35

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1   0.00 460.20  0.00 21.20    0.00 3851.20     0.00  1925.60   
181.66     0.35   16.39   0.44   0.94

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.00    0.00   12.59    0.10   87.31

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz 
avgqu-sz   await  svctm  %util
cciss/c0d1   0.00 460.60  0.00 24.60    0.00 3881.60     0.00  1940.80   
157.79     0.35   14.33   0.38   0.94


conclusion : new revision more convinient for me. But please advise me why I 
see low perfomance.
Can I use 28 kernel with save your support?

Comment 10 Dag Wieers 2010-07-04 14:58:32 EDT
Dstat 0.7.2 added support for CCISS disks by default (to the total and full output), in the past CCISS disks could be specified individually with the -D option to be visible, as demonstrated above.

Let me know if this support works for you.
Comment 11 Jiri Pallich 2012-06-20 12:18:16 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.